DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Classes | Functions
dsrnumvl.h File Reference

definitions for class DSRNumericMeasurementValue More...

## Classes
class | DSRNumericMeasurementValue
| Class for numeric values and measurements. More...

## Functions
DCMTK_DCMSR_EXPORT STD_NAMESPACE ostream & | operator<< (STD_NAMESPACE ostream &stream, const DSRNumericMeasurementValue &numericMeasurement)
| output stream operator for numeric measurement values. More...
DCMTK_DCMSR_EXPORT OFBool | operator== (const DSRNumericMeasurementValue &lhs, const DSRNumericMeasurementValue &rhs)
| equality operator. More...
DCMTK_DCMSR_EXPORT OFBool | operator!= (const DSRNumericMeasurementValue &lhs, const DSRNumericMeasurementValue &rhs)
| inequality operator. More...

## Detailed Description

definitions for class DSRNumericMeasurementValue

## Function Documentation

## ◆ operator!=()

DCMTK_DCMSR_EXPORT OFBool operator!= | ( | const DSRNumericMeasurementValue & | lhs,
|  | const DSRNumericMeasurementValue & | rhs
| ) |  |

inequality operator.

Internally, the DSRNumericMeasurementValue::isNotEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are not equal, OFFalse otherwise

## ◆ operator<<()

DCMTK_DCMSR_EXPORT STD_NAMESPACE ostream& operator<< | ( | STD_NAMESPACE ostream & | stream,
|  | const DSRNumericMeasurementValue & | numericMeasurement
| ) |  |

output stream operator for numeric measurement values.

Internally, the DSRNumericMeasurementValue::print() method is used, i.e. the output looks like this: "3.5" (cm,UCUM[1.4],"centimeter") or "empty" (if the value is empty)

Parameters

  stream | output stream to which the numeric measurement value is printed
  numericMeasurement | numeric measurement value to be printed

Returns
  reference to output stream

## ◆ operator==()

DCMTK_DCMSR_EXPORT OFBool operator== | ( | const DSRNumericMeasurementValue & | lhs,
|  | const DSRNumericMeasurementValue & | rhs
| ) |  |

equality operator.

Internally, the DSRNumericMeasurementValue::isEqual() method is used.

Parameters

  lhs | left-hand side
  rhs | right-hand side

Returns
  OFTrue if 'lhs' and 'rhs' are equal, OFFalse otherwise

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1